TransactionInDoubtException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: TransactionInDoubtException

Package org.apache.geode.cache

# Class TransactionInDoubtException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheException
org.apache.geode.cache.TransactionException
org.apache.geode.cache.TransactionInDoubtException

All Implemented Interfaces:
  `Serializable`

public class TransactionInDoubtException extends TransactionException
This Exception is thrown in presence of node failures, when GemFire cannot know with certainty about the outcome of the transaction.

Since:
  GemFire 6.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionInDoubtException()`
  `TransactionInDoubtException(String message)`
  `TransactionInDoubtException(String message, Throwable cause)`
  `TransactionInDoubtException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransactionInDoubtException

    public TransactionInDoubtException()

  - ### TransactionInDoubtException

    public TransactionInDoubtException(String message)

  - ### TransactionInDoubtException

    public TransactionInDoubtException(Throwable cause)

  - ### TransactionInDoubtException

    public TransactionInDoubtException(String message, Throwable cause)